Page MenuHomeFreeBSD

editors/nano: Make several port improvements
ClosedPublic

Authored by koobs on Jun 16 2019, 9:05 AM.

Details

Reviewers
danilo
Summary
editors/nano: Make several port improvements

  * Switch to https:// MASTER_SITES
  * Use provided .xz for distribution file, saving: 50.5% / 1415kB
  * Add LICENSE_FILE
  * Remove CPPFLAGS/LDFLAGS variables, added 19 years ago when the port
    was first created. [1] They are incorrectly (globally) scoped, no
    longer necessary and incorrect for the ncurses:base case. Instead use
    Uses/ncurses.mk variables and provide these to configure to ensure
    includes/lib searches and linking are never mixed between base and
    ports.

[1] ports r29979

Reviewed_by: danilo (maintainer)
Approved by: danilo (maintainer)
MFH: 2019Q2 (blanket: bugfix)
Differential_Revision: D20660
Test Plan
  • portlint: OK (looks fine.)
  • testport: OK (poudriere: {11,12}amd64, NLS=ON/OFF, ncurses: base/ports (ldd))
  • maketest: N/A (NONE)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 24876
Build 23615: arc lint + arc unit

Event Timeline

koobs created this revision.Jun 16 2019, 9:05 AM
koobs updated this revision to Diff 58687.Jun 16 2019, 9:09 AM

Remove leftover BUILD_DEPENDS used to force ports ncurses during base ncurses linking QA

koobs edited the summary of this revision. (Show Details)Jun 16 2019, 9:09 AM

I'm AFK for some days, if you think it is OK, please, commit it. Thank you.

It's been well QA'd, and I'm on the hook for issues. Happy to commit if/when you accept it :)

I can take you out of Reviewed_by so its clear you didn't :)

danilo accepted this revision.Jun 19 2019, 7:52 PM
This revision is now accepted and ready to land.Jun 19 2019, 7:52 PM
koobs closed this revision.Jul 1 2019, 5:51 AM

Closed by rP505000, I forgot to remove the _ in Differential_Revision

koobs edited the test plan for this revision. (Show Details)Jul 1 2019, 5:53 AM
koobs edited the test plan for this revision. (Show Details)